Subject: Re: Current Movement Detection Process and Time (Re: [mobile-ip] Re: closing issue #297 (erik's and steven's technical comments on base))

From: Erik Nordmark <[email-masked]>
Date: Wed, 30 Apr 2003 05:55:39 +0200 (CEST)

> At the very least, any probing MUST NOT be done unless the mobile node
> has exhausted the other means listed in the section, such as listening
> on all traffic. Otherwise it could easily congest traffic which is
> flowing on the link simply because it didn't bother to check that
> there's packets coming from the router ;-(

Aren't most of those other means optional?

> Secondly, it looks like the NUD timers are too long to
> be useful in this case; the mobile node would be better off by
> making a decision based on the lack of RAs, if we intend to provide
> a faster scheme than that based reasonable advertisement intervals.

Agreed in the case when there is no movement hint coming up from L2.

> So should we (a) require L2 triggers if mobile nodes don't want to
> get into this situation (b) declare that this is an unfortunate
> situation that we simply have to live with, or (c) provide a
> (constrained) mechanism to do probing? Based on my notes above,
> a constrained mechanism could ensure, for instance, that the
> probes are not used if there's any traffic from the given router
> on that link.

(d) have the minimal text that describes when movement has and has not
been detected (e.g. capturing the fact that the router link-local address
being identical doesn't mean the MN has not moved; that the R-bit is useful;
that prefixes are useful when there is no R-bit; that multiple routers on
the link advertising the same prefix shouldn't be misinterpreted as movement).
That should be sufficient for this document.

Then the optimized movement detection work can worry about whether NUD is
tweaked (to verify the old router is still reachable) and/oror some fast 
RS/RA exchange is launched when a movement is suspected, etc, etc.

   Erik

---

From: Erik Nordmark <[email-masked]>
Date: Wed, 30 Apr 2003 05:58:10 +0200 (CEST)

> > Currently Movement Detection process is
> > Step 1) Hint
> > Step 2) NUD with current AR
> > Step 3) Router Discovery with new AR
> 
> I do it this way for L2 move processing, when I don't know for sure that
> there has been subnet movement but I suspect possible link movement (note:
> it could be changing the access point w/out any change in subnet).
> 
> > How about change 2) and 3) like this?
> > Step 1) Hint
> > Step 2) Router Discovery with all routers
> > Step 3) NUD with new AR
> 
> I do it this way for L3 move processing.

I think your strategy makes sense (as long as you can tell
the difference between L2 and L3 moves).

Always using the second scheme causes broadcast packets where the first
scheme uses unicast packets thus there are some differences with respect
to "load".
 
But I think line of discussion is for the future; we also need to figure out
what to say in the MIPv6 document.

   Erik

---

From: <[email-masked]>
Date: Wed, 30 Apr 2003 11:12:53 -0500

>> Should we add these details to the specification? Hmm.... after
>> reading Erik's e-mails today I'm getting a sense that it would be easier
>> for us to advance this document if it didn't get into the details,
>
>Yes, please do not descend into the details of how to probe the router for
>reachability in this document. You are correct that implementors can and
>will figure out a good way to do it (there are a number of alternatives -
>ping'ing the router may even work for some). IMO it is sufficient to state
>that there is a potential problem having to do with the MN no longer being
>reachable by the network to receive connection requests initiated by the
>network, and that this is why the MN needs to track reachability from the
>router (not the same as NUD bi-directional reachability).

I agree with the above approach as well. Leave the details for now out
of the base specification. Since one of the things we have discussed
and agreed is that movement detection is a piece of the puzzle that
can be worked on independently, there is no need to have a great deal
of emphasis in this I-D. 

>Thanks.
>- Ed

-Basavaraj